#!/bin/bash

cat << EOF
░█▀▀░█░█░█▀█░░░█▀█░█▀█░▀█▀░█▀▀░█░█
░█▀▀░█░█░█░█░░░█▀▀░█▀█░░█░░█░░░█▀█
░▀▀▀░▀▀▀░▀▀▀░░░▀░░░▀░▀░░▀░░▀▀▀░▀░▀
EOF

which wget > /dev/null
if [[ $? -ne 0 ]] ; then
  echo "You need wget (and awk, sed and tr) for this patch script to work!"
  exit
fi

if [[ ! -x maxcrc ]]; then
  echo "maxcrc not found!"
  exit
fi

url="https://euotopia.com/PatchMe"
wget "${url}/Patch/crc.txt" -O crc.txt

while read -r l
do
  fn=`echo -n $l | awk  '{print $1}'`
  ext=`echo $fn | sed 's/.*\(...\)/\1/'`
  if [[ "$ext" == "exe" || "$ext" == "dll" ]]; then
    echo "skipping windows file $fn"
    continue
  fi
  expected_crc=`echo -n $l | awk  '{printf $2}'  | tr -d '[:space:]' `
  my_crc=`./maxcrc $fn | tr -d '[:space:]'`
  if [[ "$expected_crc" != "$my_crc" ]]
  then
    echo $fn expected=$expected_crc my_crc=$my_crc
    if [[ ! -e patchsync.sh ]]; then # don't patch inside the dev directory!
      if [[ ! -e $fn ]]; then
        mkdir -p $fn
        rmdir $fn
      fi
      wget "${url}/${fn}" -O $fn
    fi
  fi
done < crc.txt
chmod +x euo
